Bug 1127401 - [EARLY ACCESS] ignore-deletes option is not something you can configure
Summary: [EARLY ACCESS] ignore-deletes option is not something you can configure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: RHGS 3.1.0
Assignee: Aravinda VK
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard: config
Depends On:
Blocks: 1189363 1202842 1217929 1223636
TreeView+ depends on / blocked
 
Reported: 2014-08-06 19:59 UTC by Jacob Shucart
Modified: 2016-09-20 05:17 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.7.0-2.el6rhs
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1189363 (view as bug list)
Environment:
Last Closed: 2015-07-29 04:34:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Jacob Shucart 2014-08-06 19:59:26 UTC
Description of problem:

When I try to set ignore-deletes on geo-replication, it tells me it is a "Reserved option".  This should not be the easy, right?

Version-Release number of selected component (if applicable):

3.0EA

Comment 2 Aravinda VK 2015-02-05 06:19:05 UTC
Upstream patch is sent for review: http://review.gluster.org/#/c/9583/

Comment 3 Aravinda VK 2015-03-30 16:36:49 UTC
As per comment 2, patch available in Upstream. Moving this to POST.

Comment 7 Rahul Hinduja 2015-05-25 10:27:52 UTC
Verified with the build: glusterfs-3.7.0-2.el6rhs.x86_64

Able to set the value to true/false as:


[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  ignore_deletes yes
geo-replication config updated successfully
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  | grep ignore_deletes
ignore_deletes: yes
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  ignore_deletes no
geo-replication config updated successfully
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  | grep ignore_deletes
ignore_deletes: no
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  ignore_deletes 1
geo-replication config updated successfully
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  | grep ignore_deletes
ignore_deletes: 1
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  ignore_deletes 0
geo-replication config updated successfully
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  | grep ignore_deletes
ignore_deletes: 0
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  ignore_deletes true
geo-replication config updated successfully
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  | grep ignore_deletes
ignore_deletes: true
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  ignore_deletes false
geo-replication config updated successfully
[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.154::slave config  | grep ignore_deletes
ignore_deletes: false
[root@georep1 scripts]# 

Also verified when the ignore_deletes is set to true, the files that are deleted from master doesn't sync to slave. 

Moving the bug to verified state.

Comment 9 errata-xmlrpc 2015-07-29 04:34:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.